Index: /XIOS/trunk/extern/remap/src/libmapper.cpp
===================================================================
--- /XIOS/trunk/extern/remap/src/libmapper.cpp	(revision 1638)
+++ /XIOS/trunk/extern/remap/src/libmapper.cpp	(revision 1639)
@@ -43,5 +43,5 @@
   double* src_area=NULL ;
   double* dst_area=NULL ;
-  mapper = new Mapper(EP_COMM_WORLD);
+  mapper = new Mapper(MPI_COMM_WORLD);
   mapper->setVerbosity(PROGRESS) ;
   mapper->setSourceMesh(src_bounds_lon, src_bounds_lat, src_area, n_vert_per_cell_src, n_cell_src, src_pole ) ;
Index: /XIOS/trunk/extern/remap/src/mapper.cpp
===================================================================
--- /XIOS/trunk/extern/remap/src/mapper.cpp	(revision 1638)
+++ /XIOS/trunk/extern/remap/src/mapper.cpp	(revision 1639)
@@ -32,6 +32,6 @@
 
   int mpiRank, mpiSize;
-  ep_lib::MPI_Comm_rank(communicator, &mpiRank);
-  ep_lib::MPI_Comm_size(communicator, &mpiSize);
+  MPI_Comm_rank(communicator, &mpiRank);
+  MPI_Comm_size(communicator, &mpiSize);
 
   sourceElements.reserve(nbCells);
@@ -43,5 +43,5 @@
     long int offset ;
     long int nb=nbCells ;
-    ep_lib::MPI_Scan(&nb,&offset,1,EP_LONG,EP_SUM,communicator) ;
+    MPI_Scan(&nb,&offset,1,MPI_LONG,MPI_SUM,communicator) ;
     offset=offset-nb ;
     for(int i=0;i<nbCells;i++) sourceGlobalId[i]=offset+i ;
@@ -70,6 +70,6 @@
 
   int mpiRank, mpiSize;
-  ep_lib::MPI_Comm_rank(communicator, &mpiRank);
-  ep_lib::MPI_Comm_size(communicator, &mpiSize);
+  MPI_Comm_rank(communicator, &mpiRank);
+  MPI_Comm_size(communicator, &mpiSize);
 
   targetElements.reserve(nbCells);
@@ -81,5 +81,5 @@
     long int offset ;
     long int nb=nbCells ;
-    ep_lib::MPI_Scan(&nb,&offset,1,EP_LONG,EP_SUM,communicator) ;
+    MPI_Scan(&nb,&offset,1,MPI_LONG,MPI_SUM,communicator) ;
     offset=offset-nb ;
     for(int i=0;i<nbCells;i++) targetGlobalId[i]=offset+i ;
@@ -117,6 +117,6 @@
   vector<double> timings;
   int mpiSize, mpiRank;
-  ep_lib::MPI_Comm_size(communicator, &mpiSize);
-  ep_lib::MPI_Comm_rank(communicator, &mpiRank);
+  MPI_Comm_size(communicator, &mpiSize);
+  MPI_Comm_rank(communicator, &mpiRank);
 
   this->buildSSTree(sourceMesh, targetMesh);
@@ -173,6 +173,6 @@
 {
   int mpiSize, mpiRank;
-  ep_lib::MPI_Comm_size(communicator, &mpiSize);
-  ep_lib::MPI_Comm_rank(communicator, &mpiRank);
+  MPI_Comm_size(communicator, &mpiSize);
+  MPI_Comm_rank(communicator, &mpiRank);
 
   /* create list of intersections (super mesh elements) for each rank */
@@ -235,5 +235,5 @@
   /* communicate sizes of source elements to be sent (index lists and later values and gradients) */
   int *nbRecvElement = new int[mpiSize];
-  ep_lib::MPI_Alltoall(nbSendElement, 1, EP_INT, nbRecvElement, 1, EP_INT, communicator);
+  MPI_Alltoall(nbSendElement, 1, MPI_INT, nbRecvElement, 1, MPI_INT, communicator);
 
   /* communicate indices of source elements on other ranks whoes value and gradient we need (since intersection) */
@@ -246,11 +246,11 @@
   Coord **sendGrad = new Coord*[mpiSize];
   GloId **sendNeighIds = new GloId*[mpiSize];
-  ep_lib::MPI_Request *sendRequest = new ep_lib::MPI_Request[5*mpiSize];
-  ep_lib::MPI_Request *recvRequest = new ep_lib::MPI_Request[5*mpiSize];
+  MPI_Request *sendRequest = new MPI_Request[5*mpiSize];
+  MPI_Request *recvRequest = new MPI_Request[5*mpiSize];
   for (int rank = 0; rank < mpiSize; rank++)
   {
     if (nbSendElement[rank] > 0)
     {
-      ep_lib::MPI_Issend(sendElement[rank], nbSendElement[rank], EP_INT, rank, 0, communicator, &sendRequest[nbSendRequest]);
+      MPI_Issend(sendElement[rank], nbSendElement[rank], MPI_INT, rank, 0, communicator, &sendRequest[nbSendRequest]);
       nbSendRequest++;
     }
@@ -271,12 +271,12 @@
         sendNeighIds[rank] = new GloId[nbRecvElement[rank]];
       }
-      ep_lib::MPI_Irecv(recvElement[rank], nbRecvElement[rank], EP_INT, rank, 0, communicator, &recvRequest[nbRecvRequest]);
+      MPI_Irecv(recvElement[rank], nbRecvElement[rank], MPI_INT, rank, 0, communicator, &recvRequest[nbRecvRequest]);
       nbRecvRequest++;
     }
   }
-  ep_lib::MPI_Status *status = new ep_lib::MPI_Status[5*mpiSize];
+  MPI_Status *status = new MPI_Status[5*mpiSize];
   
-  ep_lib::MPI_Waitall(nbSendRequest, sendRequest, status);
-        ep_lib::MPI_Waitall(nbRecvRequest, recvRequest, status);
+  MPI_Waitall(nbSendRequest, sendRequest, status);
+        MPI_Waitall(nbRecvRequest, recvRequest, status);
 
   /* for all indices that have been received from requesting ranks: pack values and gradients, then send */
@@ -310,15 +310,15 @@
           sendNeighIds[rank][j] = sstree.localElements[recvElement[rank][j]].src_id;
       }
-      ep_lib::MPI_Issend(sendValue[rank],  nbRecvElement[rank], EP_DOUBLE, rank, 0, communicator, &sendRequest[nbSendRequest]);
+      MPI_Issend(sendValue[rank],  nbRecvElement[rank], MPI_DOUBLE, rank, 0, communicator, &sendRequest[nbSendRequest]);
       nbSendRequest++;
-      ep_lib::MPI_Issend(sendArea[rank],  nbRecvElement[rank], EP_DOUBLE, rank, 0, communicator, &sendRequest[nbSendRequest]);
+      MPI_Issend(sendArea[rank],  nbRecvElement[rank], MPI_DOUBLE, rank, 0, communicator, &sendRequest[nbSendRequest]);
       nbSendRequest++;
-      ep_lib::MPI_Issend(sendGivenArea[rank],  nbRecvElement[rank], EP_DOUBLE, rank, 0, communicator, &sendRequest[nbSendRequest]);
+      MPI_Issend(sendGivenArea[rank],  nbRecvElement[rank], MPI_DOUBLE, rank, 0, communicator, &sendRequest[nbSendRequest]);
       nbSendRequest++;
       if (order == 2)
       {
-        ep_lib::MPI_Issend(sendGrad[rank], 3*nbRecvElement[rank]*(NMAX+1), EP_DOUBLE, rank, 0, communicator, &sendRequest[nbSendRequest]);
+        MPI_Issend(sendGrad[rank], 3*nbRecvElement[rank]*(NMAX+1), MPI_DOUBLE, rank, 0, communicator, &sendRequest[nbSendRequest]);
         nbSendRequest++;
-        ep_lib::MPI_Issend(sendNeighIds[rank], 4*nbRecvElement[rank]*(NMAX+1), EP_INT, rank, 0, communicator, &sendRequest[nbSendRequest]);
+        MPI_Issend(sendNeighIds[rank], 4*nbRecvElement[rank]*(NMAX+1), MPI_INT, rank, 0, communicator, &sendRequest[nbSendRequest]);
 //ym  --> attention taille GloId
         nbSendRequest++;
@@ -326,5 +326,5 @@
       else
       {
-        ep_lib::MPI_Issend(sendNeighIds[rank], 4*nbRecvElement[rank], EP_INT, rank, 0, communicator, &sendRequest[nbSendRequest]);
+        MPI_Issend(sendNeighIds[rank], 4*nbRecvElement[rank], MPI_INT, rank, 0, communicator, &sendRequest[nbSendRequest]);
 //ym  --> attention taille GloId
         nbSendRequest++;
@@ -333,16 +333,16 @@
     if (nbSendElement[rank] > 0)
     {
-      ep_lib::MPI_Irecv(recvValue[rank],  nbSendElement[rank], EP_DOUBLE, rank, 0, communicator, &recvRequest[nbRecvRequest]);
+      MPI_Irecv(recvValue[rank],  nbSendElement[rank], MPI_DOUBLE, rank, 0, communicator, &recvRequest[nbRecvRequest]);
       nbRecvRequest++;
-      ep_lib::MPI_Irecv(recvArea[rank],  nbSendElement[rank], EP_DOUBLE, rank, 0, communicator, &recvRequest[nbRecvRequest]);
+      MPI_Irecv(recvArea[rank],  nbSendElement[rank], MPI_DOUBLE, rank, 0, communicator, &recvRequest[nbRecvRequest]);
       nbRecvRequest++;
-      ep_lib::MPI_Irecv(recvGivenArea[rank],  nbSendElement[rank], EP_DOUBLE, rank, 0, communicator, &recvRequest[nbRecvRequest]);
+      MPI_Irecv(recvGivenArea[rank],  nbSendElement[rank], MPI_DOUBLE, rank, 0, communicator, &recvRequest[nbRecvRequest]);
       nbRecvRequest++;
       if (order == 2)
       {
-        ep_lib::MPI_Irecv(recvGrad[rank], 3*nbSendElement[rank]*(NMAX+1),
-            EP_DOUBLE, rank, 0, communicator, &recvRequest[nbRecvRequest]);
+        MPI_Irecv(recvGrad[rank], 3*nbSendElement[rank]*(NMAX+1),
+            MPI_DOUBLE, rank, 0, communicator, &recvRequest[nbRecvRequest]);
         nbRecvRequest++;
-        ep_lib::MPI_Irecv(recvNeighIds[rank], 4*nbSendElement[rank]*(NMAX+1), EP_INT, rank, 0, communicator, &recvRequest[nbRecvRequest]);
+        MPI_Irecv(recvNeighIds[rank], 4*nbSendElement[rank]*(NMAX+1), MPI_INT, rank, 0, communicator, &recvRequest[nbRecvRequest]);
 //ym  --> attention taille GloId
         nbRecvRequest++;
@@ -350,5 +350,5 @@
       else
       {
-        ep_lib::MPI_Irecv(recvNeighIds[rank], 4*nbSendElement[rank], EP_INT, rank, 0, communicator, &recvRequest[nbRecvRequest]);
+        MPI_Irecv(recvNeighIds[rank], 4*nbSendElement[rank], MPI_INT, rank, 0, communicator, &recvRequest[nbRecvRequest]);
 //ym  --> attention taille GloId
         nbRecvRequest++;
@@ -357,6 +357,6 @@
   }
         
-        ep_lib::MPI_Waitall(nbSendRequest, sendRequest, status);
-  ep_lib::MPI_Waitall(nbRecvRequest, recvRequest, status);
+        MPI_Waitall(nbSendRequest, sendRequest, status);
+  MPI_Waitall(nbRecvRequest, recvRequest, status);
   
 
@@ -487,6 +487,6 @@
 {
   int mpiSize, mpiRank;
-  ep_lib::MPI_Comm_size(communicator, &mpiSize);
-  ep_lib::MPI_Comm_rank(communicator, &mpiRank);
+  MPI_Comm_size(communicator, &mpiSize);
+  MPI_Comm_rank(communicator, &mpiRank);
 
   vector<Node> *routingList = new vector<Node>[mpiSize];
@@ -522,6 +522,6 @@
   }
 
-  ep_lib::MPI_Alltoall(nbSendNode, 1, EP_INT, nbRecvNode, 1, EP_INT, communicator);
-  ep_lib::MPI_Alltoall(sendMessageSize, 1, EP_INT, recvMessageSize, 1, EP_INT, communicator);
+  MPI_Alltoall(nbSendNode, 1, MPI_INT, nbRecvNode, 1, MPI_INT, communicator);
+  MPI_Alltoall(sendMessageSize, 1, MPI_INT, recvMessageSize, 1, MPI_INT, communicator);
 
   char **sendBuffer = new char*[mpiSize];
@@ -549,7 +549,7 @@
   int nbSendRequest = 0;
   int nbRecvRequest = 0;
-  ep_lib::MPI_Request *sendRequest = new ep_lib::MPI_Request[mpiSize];
-  ep_lib::MPI_Request *recvRequest = new ep_lib::MPI_Request[mpiSize];
-  ep_lib::MPI_Status  *status      = new ep_lib::MPI_Status[mpiSize];
+  MPI_Request *sendRequest = new MPI_Request[mpiSize];
+  MPI_Request *recvRequest = new MPI_Request[mpiSize];
+  MPI_Status  *status      = new MPI_Status[mpiSize];
 
   for (int rank = 0; rank < mpiSize; rank++)
@@ -557,16 +557,16 @@
     if (nbSendNode[rank] > 0)
     {
-      ep_lib::MPI_Issend(sendBuffer[rank], sendMessageSize[rank], EP_CHAR, rank, 0, communicator, &sendRequest[nbSendRequest]);
+      MPI_Issend(sendBuffer[rank], sendMessageSize[rank], MPI_CHAR, rank, 0, communicator, &sendRequest[nbSendRequest]);
       nbSendRequest++;
     }
     if (nbRecvNode[rank] > 0)
     {
-      ep_lib::MPI_Irecv(recvBuffer[rank], recvMessageSize[rank], EP_CHAR, rank, 0, communicator, &recvRequest[nbRecvRequest]);
+      MPI_Irecv(recvBuffer[rank], recvMessageSize[rank], MPI_CHAR, rank, 0, communicator, &recvRequest[nbRecvRequest]);
       nbRecvRequest++;
     }
   }
 
-  ep_lib::MPI_Waitall(nbRecvRequest, recvRequest, status);
-  ep_lib::MPI_Waitall(nbSendRequest, sendRequest, status);
+  MPI_Waitall(nbRecvRequest, recvRequest, status);
+  MPI_Waitall(nbSendRequest, sendRequest, status);
 
   for (int rank = 0; rank < mpiSize; rank++)
@@ -615,7 +615,7 @@
 
 
-  ep_lib::MPI_Barrier(communicator);
-  ep_lib::MPI_Alltoall(nbSendNode, 1, EP_INT, nbRecvNode, 1, EP_INT, communicator);
-  ep_lib::MPI_Alltoall(sendMessageSize, 1, EP_INT, recvMessageSize, 1, EP_INT, communicator);
+  MPI_Barrier(communicator);
+  MPI_Alltoall(nbSendNode, 1, MPI_INT, nbRecvNode, 1, MPI_INT, communicator);
+  MPI_Alltoall(sendMessageSize, 1, MPI_INT, recvMessageSize, 1, MPI_INT, communicator);
 
   for (int rank = 0; rank < mpiSize; rank++)
@@ -629,16 +629,16 @@
     if (nbSendNode[rank] > 0)
     {
-      ep_lib::MPI_Issend(sendBuffer2[rank], sendMessageSize[rank], EP_CHAR, rank, 0, communicator, &sendRequest[nbSendRequest]);
+      MPI_Issend(sendBuffer2[rank], sendMessageSize[rank], MPI_CHAR, rank, 0, communicator, &sendRequest[nbSendRequest]);
       nbSendRequest++;
     }
     if (nbRecvNode[rank] > 0)
     {
-      ep_lib::MPI_Irecv(recvBuffer2[rank], recvMessageSize[rank], EP_CHAR, rank, 0, communicator, &recvRequest[nbRecvRequest]);
+      MPI_Irecv(recvBuffer2[rank], recvMessageSize[rank], MPI_CHAR, rank, 0, communicator, &recvRequest[nbRecvRequest]);
       nbRecvRequest++;
     }
   }
 
-  ep_lib::MPI_Waitall(nbRecvRequest, recvRequest, status);
-  ep_lib::MPI_Waitall(nbSendRequest, sendRequest, status);
+  MPI_Waitall(nbRecvRequest, recvRequest, status);
+  MPI_Waitall(nbSendRequest, sendRequest, status);
 
   int nbNeighbourNodes = 0;
@@ -725,8 +725,8 @@
 {
   int mpiSize, mpiRank;
-  ep_lib::MPI_Comm_size(communicator, &mpiSize);
-  ep_lib::MPI_Comm_rank(communicator, &mpiRank);
-
-  ep_lib::MPI_Barrier(communicator);
+  MPI_Comm_size(communicator, &mpiSize);
+  MPI_Comm_rank(communicator, &mpiRank);
+
+  MPI_Barrier(communicator);
 
   vector<Node> *routingList = new vector<Node>[mpiSize];
@@ -753,5 +753,5 @@
     cout << endl;
   }
-  ep_lib::MPI_Barrier(communicator);
+  MPI_Barrier(communicator);
 
   int *nbSendNode = new int[mpiSize];
@@ -771,6 +771,6 @@
   }
 
-  ep_lib::MPI_Alltoall(nbSendNode, 1, EP_INT, nbRecvNode, 1, EP_INT, communicator);
-  ep_lib::MPI_Alltoall(sentMessageSize, 1, EP_INT, recvMessageSize, 1, EP_INT, communicator);
+  MPI_Alltoall(nbSendNode, 1, MPI_INT, nbRecvNode, 1, MPI_INT, communicator);
+  MPI_Alltoall(sentMessageSize, 1, MPI_INT, recvMessageSize, 1, MPI_INT, communicator);
 
   int total = 0;
@@ -805,7 +805,7 @@
   int nbSendRequest = 0;
   int nbRecvRequest = 0;
-  ep_lib::MPI_Request *sendRequest = new ep_lib::MPI_Request[mpiSize];
-  ep_lib::MPI_Request *recvRequest = new ep_lib::MPI_Request[mpiSize];
-  ep_lib::MPI_Status   *status = new ep_lib::MPI_Status[mpiSize];
+  MPI_Request *sendRequest = new MPI_Request[mpiSize];
+  MPI_Request *recvRequest = new MPI_Request[mpiSize];
+  MPI_Status   *status = new MPI_Status[mpiSize];
 
   for (int rank = 0; rank < mpiSize; rank++)
@@ -813,16 +813,16 @@
     if (nbSendNode[rank] > 0)
     {
-      ep_lib::MPI_Issend(sendBuffer[rank], sentMessageSize[rank], EP_CHAR, rank, 0, communicator, &sendRequest[nbSendRequest]);
+      MPI_Issend(sendBuffer[rank], sentMessageSize[rank], MPI_CHAR, rank, 0, communicator, &sendRequest[nbSendRequest]);
       nbSendRequest++;
     }
     if (nbRecvNode[rank] > 0)
     {
-      ep_lib::MPI_Irecv(recvBuffer[rank], recvMessageSize[rank], EP_CHAR, rank, 0, communicator, &recvRequest[nbRecvRequest]);
+      MPI_Irecv(recvBuffer[rank], recvMessageSize[rank], MPI_CHAR, rank, 0, communicator, &recvRequest[nbRecvRequest]);
       nbRecvRequest++;
     }
   }
 
-  ep_lib::MPI_Waitall(nbRecvRequest, recvRequest, status);
-  ep_lib::MPI_Waitall(nbSendRequest, sendRequest, status);
+  MPI_Waitall(nbRecvRequest, recvRequest, status);
+  MPI_Waitall(nbSendRequest, sendRequest, status);
   char **sendBuffer2 = new char*[mpiSize];
   char **recvBuffer2 = new char*[mpiSize];
@@ -883,5 +883,5 @@
 
   if (verbose >= 2) cout << "Rank " << mpiRank << "  Compute (internal) intersection " << cputime() - tic << " s" << endl;
-  ep_lib::MPI_Alltoall(sentMessageSize, 1, EP_INT, recvMessageSize, 1, EP_INT, communicator);
+  MPI_Alltoall(sentMessageSize, 1, MPI_INT, recvMessageSize, 1, MPI_INT, communicator);
 
   for (int rank = 0; rank < mpiSize; rank++)
@@ -896,16 +896,16 @@
     if (sentMessageSize[rank] > 0)
     {
-      ep_lib::MPI_Issend(sendBuffer2[rank], sentMessageSize[rank], EP_CHAR, rank, 0, communicator, &sendRequest[nbSendRequest]);
+      MPI_Issend(sendBuffer2[rank], sentMessageSize[rank], MPI_CHAR, rank, 0, communicator, &sendRequest[nbSendRequest]);
       nbSendRequest++;
     }
     if (recvMessageSize[rank] > 0)
     {
-      ep_lib::MPI_Irecv(recvBuffer2[rank], recvMessageSize[rank], EP_CHAR, rank, 0, communicator, &recvRequest[nbRecvRequest]);
+      MPI_Irecv(recvBuffer2[rank], recvMessageSize[rank], MPI_CHAR, rank, 0, communicator, &recvRequest[nbRecvRequest]);
       nbRecvRequest++;
     }
   }
 
-  ep_lib::MPI_Waitall(nbRecvRequest, recvRequest, status);
-  ep_lib::MPI_Waitall(nbSendRequest, sendRequest, status);
+  MPI_Waitall(nbRecvRequest, recvRequest, status);
+  MPI_Waitall(nbSendRequest, sendRequest, status);
 
   delete [] sendRequest;
Index: /XIOS/trunk/extern/remap/src/mapper.hpp
===================================================================
--- /XIOS/trunk/extern/remap/src/mapper.hpp	(revision 1638)
+++ /XIOS/trunk/extern/remap/src/mapper.hpp	(revision 1639)
@@ -18,5 +18,5 @@
 {
 public:
-       Mapper(ep_lib::MPI_Comm comm=EP_COMM_WORLD) : communicator(comm), verbose(SILENT), neighbourElements(NULL), sstree(comm) {}
+       Mapper(MPI_Comm comm=MPI_COMM_WORLD) : communicator(comm), verbose(SILENT), neighbourElements(NULL), sstree(comm) {}
        ~Mapper();
        void setVerbosity(verbosity v) {verbose=v ;}
@@ -67,5 +67,5 @@
 
        CParallelTree sstree;
-       ep_lib::MPI_Comm communicator ;
+       MPI_Comm communicator ;
        std::vector<Elt>  sourceElements ;
        std::vector<Node> sourceMesh ;
Index: /XIOS/trunk/extern/remap/src/mpi_cascade.cpp
===================================================================
--- /XIOS/trunk/extern/remap/src/mpi_cascade.cpp	(revision 1638)
+++ /XIOS/trunk/extern/remap/src/mpi_cascade.cpp	(revision 1639)
@@ -4,8 +4,8 @@
 namespace sphereRemap {
 
-CMPICascade::CMPICascade(int nodes_per_level, ep_lib::MPI_Comm comm)
+CMPICascade::CMPICascade(int nodes_per_level, MPI_Comm comm)
 {
 	int remaining_levels;
-	ep_lib::MPI_Comm intraComm;
+	MPI_Comm intraComm;
 	int l = 0; // current level
 	do {
@@ -15,6 +15,6 @@
 		level[l].p_grp_size = level[l].size/level[l].group_size;
 	
-		ep_lib::MPI_Comm_split(comm, level[l].colour(), level[l].key(), &intraComm);
-		ep_lib::MPI_Comm_split(comm, level[l].p_colour(), level[l].p_key(), &(level[l].pg_comm));
+		MPI_Comm_split(comm, level[l].colour(), level[l].key(), &intraComm);
+		MPI_Comm_split(comm, level[l].p_colour(), level[l].p_key(), &(level[l].pg_comm));
 		comm = intraComm;
 		l++;
Index: /XIOS/trunk/extern/remap/src/mpi_cascade.hpp
===================================================================
--- /XIOS/trunk/extern/remap/src/mpi_cascade.hpp	(revision 1638)
+++ /XIOS/trunk/extern/remap/src/mpi_cascade.hpp	(revision 1639)
@@ -12,8 +12,8 @@
 {
 public:
-	CCascadeLevel(ep_lib::MPI_Comm comm) : comm(comm)
+	CCascadeLevel(MPI_Comm comm) : comm(comm)
 	{
-		ep_lib::MPI_Comm_size(comm, &size);
-		ep_lib::MPI_Comm_rank(comm, &rank);
+		MPI_Comm_size(comm, &size);
+		MPI_Comm_rank(comm, &rank);
 	}
 	int colour() const { return rank % group_size; };
@@ -24,5 +24,5 @@
 	int p_key() const { return colour() + rank/(p_grp_size*group_size)*group_size; }
 
-	ep_lib::MPI_Comm comm, pg_comm;
+	MPI_Comm comm, pg_comm;
 	int rank;
 	int size;
@@ -35,5 +35,5 @@
 public:
 	// 
-	CMPICascade(int nodes_per_level, ep_lib::MPI_Comm comm);
+	CMPICascade(int nodes_per_level, MPI_Comm comm);
 
 	int num_levels;
